<template>
  <footer class="mb-16" aria-labelledby="footer-heading">
    <div class="max-w-7xl bg-[#F8F6F6] rounded-[50px] mx-auto py-12 px-4">
      <div class="xl:grid xl:grid-cols-2 xl:gap-8">
        <div class="mt-12 mx-16 grid grid-cols-2 gap-4 xl:mt-0 xl:col-span-2">
          <div class="md:grid md:grid-cols-2 md:gap-4">
            <div>
              <h3
                class="text-base font-semibold text-black-base tracking-wider uppercase mb-8"
              >
                اطلاعات دوسوته
              </h3>
              <ul role="list" class="mt-4">
                <li v-for="item in navigation.solutions" :key="item.name">
                  <a
                    :href="item.href"
                    class="text-base text-black-base hover:text-gray-900"
                  >
                    {{ item.name }}
                  </a>
                </li>
              </ul>
            </div>
            <div class="mt-12 md:mt-0">
              <h3
                class="text-base font-semibold text-black-base tracking-wider uppercase mb-8"
              >
                خدمات مشتریان
              </h3>
              <ul role="list" class="mt-4">
                <li v-for="item in navigation.support" :key="item.name">
                  <a
                    :href="item.href"
                    class="text-base text-black-base hover:text-gray-900"
                  >
                    {{ item.name }}
                  </a>
                </li>
              </ul>
            </div>
          </div>
          <div class="md:grid md:grid-cols-3 md:gap-4">
            <div>
              <h3
                class="text-sm font-semibold text-black-base tracking-wider uppercase md:max-w-sm mb-2"
              >
                ما را در شبکه‌های اجتماعی دنبال کنید.
              </h3>
              <div class="flex justify-end">
                <a
                  :href="item.href"
                  v-for="item in navigation.social"
                  :key="item.name"
                  class="text-black-base over:text-gray-500"
                >
                  <span class="sr-only">{{ item.name }}</span>
                  <img
                    :src="item.icon"
                    class="h-6 w-6 mx-2"
                    aria-hidden="true"
                  />
                </a>
              </div>
            </div>
            <div class="md:grid-cols-2 mt-12 md:mt-0 col-span-2 text-left">
              <a
                href="https://trustseal.enamad.ir/?id=92592&Code=38TOqZDYAfXwmPsM35ez"
              >
                <img
                  src="/footer/enamad.svg"
                  class="inline md:mx-8"
                  aria-hidden="true"
                />
              </a>
              <a
                href="https://logo.samandehi.ir/Verify.aspx?id=144793&p=rfthaodsaodsjyoepfvlxlao"
              >
                <img src="/footer/samandehi.ir.svg" class="inline" aria-hidden="true" />
              </a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </footer>
</template>

<script>
const navigation = {
  solutions: [
    { name: 'تماس با ما', href: 'contact-us' },
    { name: 'درباره ما', href: 'about-us' },
    { name: 'فروش در دوسوته', href: '#' },
  ],
  support: [
    { name: 'سؤالات متداول', href: '#' },
    { name: 'رویه‌های بازگرداندن کالا', href: '#' },
    { name: 'حریم خصوصی', href: '#' },
    { name: 'راهنمای خرید', href: '#' },
    { name: 'مجله', href: '#' },
  ],
  company: [
    { name: 'About', href: '#' },
    { name: 'Blog', href: '#' },
    { name: 'Jobs', href: '#' },
    { name: 'Press', href: '#' },
    { name: 'Partners', href: '#' },
  ],
  legal: [
    { name: 'Claim', href: '#' },
    { name: 'Privacy', href: '#' },
    { name: 'Terms', href: '#' },
  ],
  social: [
    {
      name: 'telegram',
      href: 'https://instagram.com/2sote',
      icon: '/telegram.svg',
    },
    {
      name: 'Instagram',
      href: 'https://t.me/www2sote',
      icon: '/instagram.svg',
    },
  ],
}

export default {
  data() {
    return {
      navigation,
    }
  },
}
</script>

<style lang="scss" scoped></style>
